<div class="modal fade" id="k8s-resources-request-form-{{ application.identifier }}" tabindex="-1" aria-labelledby="k8s-resources-request-form-label-{{ application.identifier }}" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <form
      action="{% url 'request_k8s_resources' identifier=application.identifier %}"
      method="post"
      class="modal-content">
      {% csrf_token %}
      <div class="modal-header">
        <h1 class="modal-title fs-5" id="k8s-resources-request-form-label-{{ application.identifier }}">Request more K8s resources for {{ application.descriptive_name }}</h1>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        {% if application.applicationquotarequest.status == "Pending" %}
          <div class="alert alert-warning" role="alert">
            This is a pending request. You can update the request prior to an admin's review.
          </div>
        {% endif %}
        {% if application.applicationquotarequest.status == "Rejected" %}
          <div class="alert alert-danger" role="alert">
            This request was <strong>rejected</strong>. You can update the request and resubmit.
            {% if application.applicationquotarequest.admin_reply %}
              Admin's reply:
              <div class="mt-2 fst-italic fs-90percent">"{{ application.applicationquotarequest.admin_reply }}"</div>
            {% endif %}
          </div>
        {% endif %}
        <p>Please request only what your app needs. If you need help estimating the amount of resources your app might consume, feel free to contact us at <strong>arcsoft@uvic.ca</strong></p>
        <div class="my-3">
          <label class="form-label fw-semibold">Replicas (Current quota: {{ application.applicationquota.replicas }})</label>
          <input
            type="number"
            class="form-control"
            name="replicas"
            {% if application.applicationquota.replicas == 10 %}
              readonly
              value="10"
            {% else %}
              {% if application.applicationquotarequest.status != "None" %}
                value="{{ application.applicationquotarequest.replicas }}"
              {% else %}
                value="{{ application.applicationquota.replicas|add:'1' }}"
              {% endif %}
            {% endif %}
            {% if application.applicationquota.replicas and application.applicationquota.replicas < 10 %}
              min="{{ application.applicationquota.replicas|add:'1' }}"
            {% endif %}
            max="10"
            required>
          <div class="form-text">Maximum number of pods your app needs. Max you can request is 10</div>
        </div>

        <div class="my-3">
          <label class="form-label fw-semibold">Justification (optional)</label>
          <textarea
            class="form-control"
            name="justification"
            rows="5"
            maxlength="500"
            placeholder="Explain briefly why you need this amount of resources">{% if application.applicationquotarequest.justification %}{{ application.applicationquotarequest.justification }}{% endif %}</textarea>
        </div>
      </div>
      <div class="modal-footer">
        {% if application.applicationquotarequest.status == "Pending" %}
          <button
            type="button"
            class="btn btn-danger"
            data-bs-toggle="modal"
            data-bs-target="#k8s-resources-request-cancel-{{ application.identifier }}"
          >Cancel request</button>
        {% endif %}
        <button type="submit" class="btn btn-primary">{% if application.applicationquotarequest.status == "Pending" %}Update request{% else %}Submit request{% endif %}</button>
      </div>
    </form>
  </div>
</div>
